"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.acessarSintegra = void 0;
const estados_1 = __importDefault(require("./utils/estados"));
const requestValidation_1 = require("./utils/requestValidation");
async function acessarSintegra(cnpj, estado) {
    requestValidation_1.validateEstado(estado);
    requestValidation_1.validateCnpj(cnpj);
    try {
        estado = estado.toUpperCase();
        switch (estado) {
            case estados_1.default.SAO_PAULO.sigla:
                const sintegraSP = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraSP")));
                return sintegraSP.accessSintegra(cnpj);
            default:
                return null;
        }
    }
    catch (err) {
        throw err;
    }
}
exports.acessarSintegra = acessarSintegra;
//# sourceMappingURL=index.js.map